---
search:
  tags:
    - Channels
    - POST
seo:
  description: >-
    Creates or updates multiple channel… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk endpoint
    in the Management API.
sidebar:
  label: Bulk Create Channel Content Overrides
  badge: POST
title: Bulk Create Channel Content Overrides
type: openapi-operation
---
Creates or updates multiple channel content overrides for products or variants in a single operation. Supports partial success — individual failures don't affect successful creations.

`POST /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk`

**Request body** (`application/json`, required)

Channel content data to create

- `content` (internal_pkg_webserver_v1.InputCreateChannelContent[], required)

Request body example:

```json
{
  "content": [
    {
      "field_type": "name",
      "parent_id": "string",
      "parent_type": "product",
      "relationships": [
        "string"
      ],
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "value": "string"
    }
  ]
}
```

**Responses**

- `201` — Created
- `400` — Bad Request
- `404` — Not Found
- `500` — Internal Server Error

Response example, 201:

```json
{
  "data": {
    "failed": [
      {
        "payload": {
          "field_type": "name",
          "parent_id": "string",
          "parent_type": "product",
          "relationships": [
            "string"
          ],
          "translations": [
            {
              "language_code": "string",
              "value": "string"
            }
          ],
          "value": "string"
        },
        "reason": "string"
      }
    ],
    "successful": [
      {
        "created_at": "string",
        "field_type": "string",
        "id": "string",
        "parent_id": "string",
        "parent_type": "string",
        "preview": [
          "string"
        ],
        "relationships": [
          "string"
        ],
        "translations": [
          {
            "language_code": "string",
            "value": "string"
          }
        ],
        "updated_at": "string",
        "value": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
